Index: opengl32/opengl_ext.c
===================================================================
RCS file: /home/wine/wine/dlls/opengl32/opengl_ext.c,v
retrieving revision 1.16
diff -u -r1.16 opengl_ext.c
--- opengl32/opengl_ext.c	14 Apr 2004 23:58:33 -0000	1.16
+++ opengl32/opengl_ext.c	4 Feb 2005 16:53:19 -0000
@@ -8231,6 +8836,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniform2iv( GLint location, GLsizei count, GLint* value ) {
+  TRACE("(%d, %d, %p)\n", location, count, value );
+  ENTER_GL();
+  func_glUniform2iv( location, count, value );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniform2ivARB( GLint location, GLsizei count, GLint* value ) {
   TRACE("(%d, %d, %p)\n", location, count, value );
   ENTER_GL();
@@ -8238,6 +8850,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniform3f( GLint location, GLfloat v0, GLfloat v1, GLfloat v2 ) {
+  TRACE("(%d, %f, %f, %f)\n", location, v0, v1, v2 );
+  ENTER_GL();
+  func_glUniform3f( location, v0, v1, v2 );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniform3fARB( GLint location, GLfloat v0, GLfloat v1, GLfloat v2 ) {
   TRACE("(%d, %f, %f, %f)\n", location, v0, v1, v2 );
   ENTER_GL();
@@ -8245,6 +8864,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniform3fv( GLint location, GLsizei count, GLfloat* value ) {
+  TRACE("(%d, %d, %p)\n", location, count, value );
+  ENTER_GL();
+  func_glUniform3fv( location, count, value );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniform3fvARB( GLint location, GLsizei count, GLfloat* value ) {
   TRACE("(%d, %d, %p)\n", location, count, value );
   ENTER_GL();
@@ -8252,6 +8878,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniform3i( GLint location, GLint v0, GLint v1, GLint v2 ) {
+  TRACE("(%d, %d, %d, %d)\n", location, v0, v1, v2 );
+  ENTER_GL();
+  func_glUniform3i( location, v0, v1, v2 );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniform3iARB( GLint location, GLint v0, GLint v1, GLint v2 ) {
   TRACE("(%d, %d, %d, %d)\n", location, v0, v1, v2 );
   ENTER_GL();
@@ -8259,6 +8892,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniform3iv( GLint location, GLsizei count, GLint* value ) {
+  TRACE("(%d, %d, %p)\n", location, count, value );
+  ENTER_GL();
+  func_glUniform3iv( location, count, value );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniform3ivARB( GLint location, GLsizei count, GLint* value ) {
   TRACE("(%d, %d, %p)\n", location, count, value );
   ENTER_GL();
@@ -8266,6 +8906,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniform4f( GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3 ) {
+  TRACE("(%d, %f, %f, %f, %f)\n", location, v0, v1, v2, v3 );
+  ENTER_GL();
+  func_glUniform4f( location, v0, v1, v2, v3 );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniform4fARB( GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3 ) {
   TRACE("(%d, %f, %f, %f, %f)\n", location, v0, v1, v2, v3 );
   ENTER_GL();
@@ -8273,6 +8920,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniform4fv( GLint location, GLsizei count, GLfloat* value ) {
+  TRACE("(%d, %d, %p)\n", location, count, value );
+  ENTER_GL();
+  func_glUniform4fv( location, count, value );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniform4fvARB( GLint location, GLsizei count, GLfloat* value ) {
   TRACE("(%d, %d, %p)\n", location, count, value );
   ENTER_GL();
@@ -8280,6 +8934,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniform4i( GLint location, GLint v0, GLint v1, GLint v2, GLint v3 ) {
+  TRACE("(%d, %d, %d, %d, %d)\n", location, v0, v1, v2, v3 );
+  ENTER_GL();
+  func_glUniform4i( location, v0, v1, v2, v3 );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniform4iARB( GLint location, GLint v0, GLint v1, GLint v2, GLint v3 ) {
   TRACE("(%d, %d, %d, %d, %d)\n", location, v0, v1, v2, v3 );
   ENTER_GL();
@@ -8287,6 +8948,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniform4iv( GLint location, GLsizei count, GLint* value ) {
+  TRACE("(%d, %d, %p)\n", location, count, value );
+  ENTER_GL();
+  func_glUniform4iv( location, count, value );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniform4ivARB( GLint location, GLsizei count, GLint* value ) {
   TRACE("(%d, %d, %p)\n", location, count, value );
   ENTER_GL();
@@ -8294,6 +8962,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniformMatrix2fv( GLint location, GLsizei count, GLboolean transpose, GLfloat* value ) {
+  TRACE("(%d, %d, %d, %p)\n", location, count, transpose, value );
+  ENTER_GL();
+  func_glUniformMatrix2fv( location, count, transpose, value );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniformMatrix2fvARB( GLint location, GLsizei count, GLboolean transpose, GLfloat* value ) {
   TRACE("(%d, %d, %d, %p)\n", location, count, transpose, value );
   ENTER_GL();
@@ -8301,6 +8976,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniformMatrix3fv( GLint location, GLsizei count, GLboolean transpose, GLfloat* value ) {
+  TRACE("(%d, %d, %d, %p)\n", location, count, transpose, value );
+  ENTER_GL();
+  func_glUniformMatrix3fv( location, count, transpose, value );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniformMatrix3fvARB( GLint location, GLsizei count, GLboolean transpose, GLfloat* value ) {
   TRACE("(%d, %d, %d, %p)\n", location, count, transpose, value );
   ENTER_GL();
@@ -8308,6 +8990,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUniformMatrix4fv( GLint location, GLsizei count, GLboolean transpose, GLfloat* value ) {
+  TRACE("(%d, %d, %d, %p)\n", location, count, transpose, value );
+  ENTER_GL();
+  func_glUniformMatrix4fv( location, count, transpose, value );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUniformMatrix4fvARB( GLint location, GLsizei count, GLboolean transpose, GLfloat* value ) {
   TRACE("(%d, %d, %d, %p)\n", location, count, transpose, value );
   ENTER_GL();
@@ -8354,6 +9043,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glUseProgram( GLuint program ) {
+  TRACE("(%d)\n", program );
+  ENTER_GL();
+  func_glUseProgram( program );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glUseProgramObjectARB( unsigned int programObj ) {
   TRACE("(%d)\n", programObj );
   ENTER_GL();
@@ -8361,6 +9057,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glValidateProgram( GLuint program ) {
+  TRACE("(%d)\n", program );
+  ENTER_GL();
+  func_glValidateProgram( program );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glValidateProgramARB( unsigned int programObj ) {
   TRACE("(%d)\n", programObj );
   ENTER_GL();
@@ -8501,6 +9204,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib1d( GLuint index, GLdouble x ) {
+  TRACE("(%d, %f)\n", index, x );
+  ENTER_GL();
+  func_glVertexAttrib1d( index, x );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib1dARB( GLuint index, GLdouble x ) {
   TRACE("(%d, %f)\n", index, x );
   ENTER_GL();
@@ -8515,6 +9225,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib1dv( GLuint index, GLdouble* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib1dv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib1dvARB( GLuint index, GLdouble* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8529,6 +9246,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib1f( GLuint index, GLfloat x ) {
+  TRACE("(%d, %f)\n", index, x );
+  ENTER_GL();
+  func_glVertexAttrib1f( index, x );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib1fARB( GLuint index, GLfloat x ) {
   TRACE("(%d, %f)\n", index, x );
   ENTER_GL();
@@ -8543,6 +9267,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib1fv( GLuint index, GLfloat* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib1fv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib1fvARB( GLuint index, GLfloat* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8571,6 +9302,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib1s( GLuint index, GLshort x ) {
+  TRACE("(%d, %d)\n", index, x );
+  ENTER_GL();
+  func_glVertexAttrib1s( index, x );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib1sARB( GLuint index, GLshort x ) {
   TRACE("(%d, %d)\n", index, x );
   ENTER_GL();
@@ -8585,6 +9323,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib1sv( GLuint index, GLshort* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib1sv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib1svARB( GLuint index, GLshort* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8599,6 +9344,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib2d( GLuint index, GLdouble x, GLdouble y ) {
+  TRACE("(%d, %f, %f)\n", index, x, y );
+  ENTER_GL();
+  func_glVertexAttrib2d( index, x, y );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib2dARB( GLuint index, GLdouble x, GLdouble y ) {
   TRACE("(%d, %f, %f)\n", index, x, y );
   ENTER_GL();
@@ -8613,6 +9365,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib2dv( GLuint index, GLdouble* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib2dv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib2dvARB( GLuint index, GLdouble* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8627,6 +9386,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib2f( GLuint index, GLfloat x, GLfloat y ) {
+  TRACE("(%d, %f, %f)\n", index, x, y );
+  ENTER_GL();
+  func_glVertexAttrib2f( index, x, y );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib2fARB( GLuint index, GLfloat x, GLfloat y ) {
   TRACE("(%d, %f, %f)\n", index, x, y );
   ENTER_GL();
@@ -8641,6 +9407,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib2fv( GLuint index, GLfloat* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib2fv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib2fvARB( GLuint index, GLfloat* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8669,6 +9442,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib2s( GLuint index, GLshort x, GLshort y ) {
+  TRACE("(%d, %d, %d)\n", index, x, y );
+  ENTER_GL();
+  func_glVertexAttrib2s( index, x, y );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib2sARB( GLuint index, GLshort x, GLshort y ) {
   TRACE("(%d, %d, %d)\n", index, x, y );
   ENTER_GL();
@@ -8683,6 +9463,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib2sv( GLuint index, GLshort* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib2sv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib2svARB( GLuint index, GLshort* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8697,6 +9484,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib3d( GLuint index, GLdouble x, GLdouble y, GLdouble z ) {
+  TRACE("(%d, %f, %f, %f)\n", index, x, y, z );
+  ENTER_GL();
+  func_glVertexAttrib3d( index, x, y, z );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib3dARB( GLuint index, GLdouble x, GLdouble y, GLdouble z ) {
   TRACE("(%d, %f, %f, %f)\n", index, x, y, z );
   ENTER_GL();
@@ -8711,6 +9505,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib3dv( GLuint index, GLdouble* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib3dv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib3dvARB( GLuint index, GLdouble* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8725,6 +9526,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib3f( GLuint index, GLfloat x, GLfloat y, GLfloat z ) {
+  TRACE("(%d, %f, %f, %f)\n", index, x, y, z );
+  ENTER_GL();
+  func_glVertexAttrib3f( index, x, y, z );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib3fARB( GLuint index, GLfloat x, GLfloat y, GLfloat z ) {
   TRACE("(%d, %f, %f, %f)\n", index, x, y, z );
   ENTER_GL();
@@ -8739,6 +9547,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib3fv( GLuint index, GLfloat* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib3fv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib3fvARB( GLuint index, GLfloat* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8767,6 +9582,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib3s( GLuint index, GLshort x, GLshort y, GLshort z ) {
+  TRACE("(%d, %d, %d, %d)\n", index, x, y, z );
+  ENTER_GL();
+  func_glVertexAttrib3s( index, x, y, z );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib3sARB( GLuint index, GLshort x, GLshort y, GLshort z ) {
   TRACE("(%d, %d, %d, %d)\n", index, x, y, z );
   ENTER_GL();
@@ -8781,6 +9603,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib3sv( GLuint index, GLshort* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib3sv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib3svARB( GLuint index, GLshort* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8795,6 +9624,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4Nbv( GLuint index, GLbyte* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4Nbv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4NbvARB( GLuint index, GLbyte* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8802,6 +9638,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4Niv( GLuint index, GLint* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4Niv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4NivARB( GLuint index, GLint* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8809,6 +9652,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4Nsv( GLuint index, GLshort* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4Nsv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4NsvARB( GLuint index, GLshort* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8816,6 +9666,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4Nub( GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w ) {
+  TRACE("(%d, %d, %d, %d, %d)\n", index, x, y, z, w );
+  ENTER_GL();
+  func_glVertexAttrib4Nub( index, x, y, z, w );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4NubARB( GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w ) {
   TRACE("(%d, %d, %d, %d, %d)\n", index, x, y, z, w );
   ENTER_GL();
@@ -8823,6 +9680,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4Nubv( GLuint index, GLubyte* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4Nubv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4NubvARB( GLuint index, GLubyte* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8830,6 +9694,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4Nuiv( GLuint index, GLuint* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4Nuiv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4NuivARB( GLuint index, GLuint* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8837,6 +9708,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4Nusv( GLuint index, GLushort* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4Nusv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4NusvARB( GLuint index, GLushort* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8844,6 +9722,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4bv( GLuint index, GLbyte* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4bv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4bvARB( GLuint index, GLbyte* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8851,6 +9736,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4d( GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w ) {
+  TRACE("(%d, %f, %f, %f, %f)\n", index, x, y, z, w );
+  ENTER_GL();
+  func_glVertexAttrib4d( index, x, y, z, w );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4dARB( GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w ) {
   TRACE("(%d, %f, %f, %f, %f)\n", index, x, y, z, w );
   ENTER_GL();
@@ -8865,6 +9757,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4dv( GLuint index, GLdouble* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4dv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4dvARB( GLuint index, GLdouble* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8879,6 +9778,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4f( GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w ) {
+  TRACE("(%d, %f, %f, %f, %f)\n", index, x, y, z, w );
+  ENTER_GL();
+  func_glVertexAttrib4f( index, x, y, z, w );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4fARB( GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w ) {
   TRACE("(%d, %f, %f, %f, %f)\n", index, x, y, z, w );
   ENTER_GL();
@@ -8893,6 +9799,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4fv( GLuint index, GLfloat* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4fv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4fvARB( GLuint index, GLfloat* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8921,6 +9834,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4iv( GLuint index, GLint* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4iv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4ivARB( GLuint index, GLint* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8928,6 +9848,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4s( GLuint index, GLshort x, GLshort y, GLshort z, GLshort w ) {
+  TRACE("(%d, %d, %d, %d, %d)\n", index, x, y, z, w );
+  ENTER_GL();
+  func_glVertexAttrib4s( index, x, y, z, w );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4sARB( GLuint index, GLshort x, GLshort y, GLshort z, GLshort w ) {
   TRACE("(%d, %d, %d, %d, %d)\n", index, x, y, z, w );
   ENTER_GL();
@@ -8942,6 +9869,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4sv( GLuint index, GLshort* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4sv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4svARB( GLuint index, GLshort* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8963,6 +9897,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4ubv( GLuint index, GLubyte* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4ubv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4ubvARB( GLuint index, GLubyte* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8977,6 +9918,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4uiv( GLuint index, GLuint* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4uiv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4uivARB( GLuint index, GLuint* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8984,6 +9932,13 @@
   LEAVE_GL();
 }
 
+void WINAPI wine_glVertexAttrib4usv( GLuint index, GLushort* v ) {
+  TRACE("(%d, %p)\n", index, v );
+  ENTER_GL();
+  func_glVertexAttrib4usv( index, v );
+  LEAVE_GL();
+}
+
 void WINAPI wine_glVertexAttrib4usvARB( GLuint index, GLushort* v ) {
   TRACE("(%d, %p)\n", index, v );
   ENTER_GL();
@@ -8995,6 +9950,13 @@
   TRACE("(%d, %d, %d, %d, %d, %d, %d)\n", index, size, type, normalized, stride, buffer, offset );
   ENTER_GL();
   func_glVertexAttribArrayObjectATI( index, size, type, normalized, stride, buffer, offset );
+  LEAVE_GL();
+}
+
+void WINAPI wine_glVertexAttribPointer( GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLvoid* pointer ) {
+  TRACE("(%d, %d, %d, %d, %d, %p)\n", index, size, type, normalized, stride, pointer );
+  ENTER_GL();
+  func_glVertexAttribPointer( index, size, type, normalized, stride, pointer );
   LEAVE_GL();
 }
 
